<?php
/**
 * Created by PhpStorm.
 * User: CaRLoS
 * Date: 10/08/16
 * Time: 11:22 AM
 */

error_reporting(E_ALL & ~( E_STRICT | E_NOTICE | E_DEPRECATED | E_WARNING));
date_default_timezone_set('America/Monterrey');
setlocale(LC_MONETARY, 'es_MX');

/*
$administradorTelefonoAmbulancia = "1234567890";
$administradorTelefonoEmergencia = "1234567890";
$administradorTelefonoEmergenciaCarretera = "1234567890";
$usuarioTelefonoAmbulancia = "0987654321";
$usuarioTelefonoEmergencia = "0987654321";
$usuarioTelefonoEmergenciaCarretera = "0987654321";
$invitadoTelefonoAmbulancia = "066";
$invitadoTelefonoEmergencia = "066";
$invitadoTelefonoEmergenciaCarretera = "066";
$promotorEmailDefault = "promotor@cuanticus.com.mx";

$arrayTips[] = array( "titulo" => "Tip No. 1", "fecha" => "2016-01-01", "tip" => "<html><body>Este es el texto que lleva el tip no. 1</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 2", "fecha" => "2016-01-02", "tip" => "<html><body>Este es el texto que lleva el tip no. 2</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 3", "fecha" => "2016-01-03", "tip" => "<html><body>Este es el texto que lleva el tip no. 3</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 4", "fecha" => "2016-01-04", "tip" => "<html><body>Este es el texto que lleva el tip no. 4</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 5", "fecha" => "2016-01-05", "tip" => "<html><body>Este es el texto que lleva el tip no. 5</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 6", "fecha" => "2016-01-06", "tip" => "<html><body>Este es el texto que lleva el tip no. 6</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 7", "fecha" => "2016-01-07", "tip" => "<html><body>Este es el texto que lleva el tip no. 7</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 8", "fecha" => "2016-01-08", "tip" => "<html><body>Este es el texto que lleva el tip no. 8</body></html>" );
$arrayTips[] = array( "titulo" => "Tip No. 9", "fecha" => "2016-01-09", "tip" => "<html><body>Este es el texto que lleva el tip no. 9</body></html>" );

$arrayProcedimientos[] = array("vehiculo" => "Auto" , "tipo" => "ROBO", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Robo en auto</body></html>");
$arrayProcedimientos[] = array("vehiculo" => "Auto" , "tipo" => "ACCIDENTE", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Accidente en auto</body></html>");
$arrayProcedimientos[] = array("vehiculo" => "Moto" , "tipo" => "ROBO", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Robo en moto</body></html>");
$arrayProcedimientos[] = array("vehiculo" => "Moto" , "tipo" => "ACCIDENTE", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Accidente en moto</body></html>");
$arrayProcedimientos[] = array("vehiculo" => "Camion" , "tipo" => "ROBO", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Robo en camion</body></html>");
$arrayProcedimientos[] = array("vehiculo" => "Camion" , "tipo" => "ACCIDENTE", "procedimiento" => "<html><body>Aqui va el procedimiento de que hacer en caso de Accidente en camion</body></html>");
*/

function conecta(){
    // Desarollo
    $login_database = array('localhost', 'haztuapp_cuanticus', 'appCuanticus_1', 'haztuapp_cuanticus');
    // Produccion
    //$login_database = array('localhost', 'app_movil', 'app_movil@', '');
    $link = @mysql_connect($login_database[0], $login_database[1], $login_database[2]) or die("Error de conexion: " . mysql_error());
    @mysql_select_db($login_database[3], $link) or die( "Error base de datos: " . mysql_error());
    @mysql_query("SET NAMES 'utf8'");
    return true;
}

function parametro($parametro){
    return ( isset($_POST[$parametro]) ? utf8_decode($_POST[$parametro]) : ( isset( $_GET[$parametro] ) ? utf8_decode($_GET[$parametro]) : "") );
}

function tipoVehiculo($tipo){
    switch($tipo){
        case "CAMIONETA":
            return "icono_camioneta";
        case "AUTO COMPACTO":
            return "icono_auto_compacto";
        case "MONTACARGAS":
            return "icono_montacargas";
        case "CAMION":
            return "icono_camion";
        case "AUTO CARGA":
            return "icono_montacargas";
        case "MOTOCICLETA":
            return "icono_motocicleta";
        case "AUTO":
            return "icono_auto";
        case "UNIDAD MOVIL":
            return "icono_auto";
        case "VEHICULO":
            return "icono_auto";
        case "MAQUINARIA":
            return "icono_maquinaria";
        case "AUTOMOVIL":
            return "icono_auto";
        case "TRAILER":
            return "icono_trailer";
    }
    return "icono_auto";
}

if(isset($_GET['cmd']) or isset($_POST['cmd'])){
    $cmd = parametro("cmd");
    switch($cmd) {
        case "login": {
            $placas = strtoupper(parametro("placas"));
            $noSerie = strtoupper(parametro("noSerie"));
            if ($placas != "" && $noSerie != "") {
                if (conecta()) {
                    $query = "select * from app_movil where placas = '$placas' or id_cte = '$placas'";
                    $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                    $resultado = array();
                    $datos = mysql_fetch_object($link);
                    if (isset($datos->ID_CTE)) {
                        if ($datos->ID_CTE == $placas) {
                            if ($datos->PASS == md5($noSerie) || ($datos->PASS == null && $noSerie == 'NULL')) {
                                $query = "select * from telefonos limit 1";
                                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                                $telefonos = mysql_fetch_object($link);
                                $resultado["exito"] = true;
                                $resultado["usuario"] = array(
                                    "idCliente" => ($datos->ID_CTE == null ? "" : $datos->ID_CTE),
                                    "tipoUsuario" => "Administrador",
                                    "promotor" => ($datos->PROMOTOR == null ? $telefonos->EMAIL_PROMOTOR_DEFAULT : $datos->PROMOTOR),
                                    "telAmbulancia" => $telefonos->ADMON_TEL_AMBULANCIA,
                                    "telEmergencia" => $telefonos->ADMON_TEL_EMERGENCIA,
                                    "telEmergenciaCarretera" => $telefonos->ADMON_TEL_CARRETERA
                                );
                                $idCliente = $datos->ID_CTE;
                                $misAutos = array();
                                $query = "select * from app_movil where id_cte = '$idCliente'";
                                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                                while ($datos = mysql_fetch_object($link)) {
                                    $vehiculo[] = array(
                                        "tipoVehiculo" => tipoVehiculo($datos->TIPO_VEHICULO),
                                        "placas" => ($datos->PLACAS == null ? "" : $datos->PLACAS),
                                        "serie" => ($datos->SERIE == null ? "" : $datos->SERIE),
                                        "marca" => "SIN DATOS",
                                        "modelo" => "SIN DATOS",
                                        "celularGps" => ($datos->CELULAR_GPS == null ? "" : $datos->CELULAR_GPS),
                                        "aseguradora" => ($datos->ASEGURADORA == null ? "" : $datos->ASEGURADORA),
                                        "telAseguradora" => ($datos->CONT_ASEGURADORA == null ? "" : $datos->CONT_ASEGURADORA),
                                        "estadoDeCuenta" => array(
                                            "plazo" => ($datos->PLAZO == null ? 0 : $datos->PLAZO),
                                            "mesPagado" => ($datos->MES_PAGADO == null ? 0 : $datos->MES_PAGADO),
                                            "fechaPago" => ($datos->FECHA_PPAGO == null ? "" : $datos->FECHA_PPAGO),
                                            "mesXPagar" => ($datos->MES_X_PAGAR == null ? 0 : $datos->MES_X_PAGAR),
                                            "mensualidad" => ($datos->MENSUALIDAD == null ? 0.00 : number_format($datos->MENSUALIDAD, 2)),
                                            "mesSVencido" => ($datos->MES_S_VENCIDO == null ? 0 : $datos->MES_S_VENCIDO),
                                            "saldoSVencido" => ($datos->SDO_S_VENCIDO == null ? 0.00 : number_format($datos->SDO_S_VENCIDO, 2)),
                                            "residual" => ($datos->RESIDUAL == null ? 0.00 : number_format($datos->RESIDUAL, 2)),
                                            "saldoTotal" => ($datos->SDO_TOTAL == null ? 0.00 : number_format($datos->SDO_TOTAL, 2))
                                        ),
                                        "poliza" => array(
                                            "poliza" => ($datos->POLIZA == null ? "" : $datos->POLIZA),
                                            "polizaPdf" => ($datos->PDF_POLIZA == null ? "" : $datos->PDF_POLIZA)
                                        ),
                                        "contrato" => array(
                                            "fechaInicio" => ($datos->FECHA_INICIO == null ? "" : $datos->FECHA_INICIO),
                                            "contrato" => ($datos->CONTRATO == null ? "" : $datos->CONTRATO),
                                            "anexo" => ($datos->ANEXO == null ? "" : $datos->ANEXO),
                                        )
                                    );
                                }
                                $resultado["vehiculos"] = $vehiculo;
                            } else {
                                $resultado["exito"] = false;
                                $resultado["mensaje"] = "Usuario y/o contraseña incorrectos.";
                            }
                        } else {
                            if ($datos->SERIE == $noSerie) {
                                $query = "select * from telefonos limit 1";
                                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                                $telefonos = mysql_fetch_object($link);
                                $resultado["exito"] = true;
                                $resultado["usuario"] = array(
                                    "idCliente" => ($datos->ID_CTE == null ? "" : $datos->ID_CTE),
                                    "tipoUsuario" => "Usuario",
                                    "promotor" => ($datos->PROMOTOR == null ? $telefonos->EMAIL_PROMOTOR_DEFAULT : $datos->PROMOTOR),
                                    "telAmbulancia" => $telefonos->USER_TEL_AMBULANCIA,
                                    "telEmergencia" => $telefonos->USER_TEL_EMERGENCIA,
                                    "telEmergenciaCarretera" => $telefonos->USER_TEL_CARRETERA
                                );
                                $vehiculo[] = array(
                                    "tipoVehiculo" => tipoVehiculo($datos->TIPO_VEHICULO),
                                    "placas" => ($datos->PLACAS == null ? "" : $datos->PLACAS),
                                    "serie" => ($datos->SERIE == null ? "" : $datos->SERIE),
                                    "marca" => "SIN DATOS",
                                    "modelo" => "SIN DATOS",
                                    "celularGps" => ($datos->CELULAR_GPS == null ? "" : $datos->CELULAR_GPS),
                                    "aseguradora" => ($datos->ASEGURADORA == null ? "" : $datos->ASEGURADORA),
                                    "telAseguradora" => ($datos->CONT_ASEGURADORA == null ? "" : $datos->CONT_ASEGURADORA),
                                    "estadoDeCuenta" => array(
                                        "plazo" => ($datos->PLAZO == null ? 0 : $datos->PLAZO),
                                        "mesPagado" => ($datos->MES_PAGADO == null ? 0 : $datos->MES_PAGADO),
                                        "fechaPago" => ($datos->FECHA_PPAGO == null ? "" : $datos->FECHA_PPAGO),
                                        "mesXPagar" => ($datos->MES_X_PAGAR == null ? 0 : $datos->MES_X_PAGAR),
                                        "mensualidad" => ($datos->MENSUALIDAD == null ? 0.00 : number_format($datos->MENSUALIDAD, 2)),
                                        "mesSVencido" => ($datos->MES_S_VENCIDO == null ? 0 : $datos->MES_S_VENCIDO),
                                        "saldoSVencido" => ($datos->SDO_S_VENCIDO == null ? 0.00 : number_format($datos->SDO_S_VENCIDO, 2)),
                                        "residual" => ($datos->RESIDUAL == null ? 0.00 : number_format($datos->RESIDUAL, 2)),
                                        "saldoTotal" => ($datos->SDO_TOTAL == null ? 0.00 : number_format($datos->SDO_TOTAL, 2))
                                    ),
                                    "poliza" => array(
                                        "poliza" => ($datos->POLIZA == null ? "" : $datos->POLIZA),
                                        "polizaPdf" => ($datos->PDF_POLIZA == null ? "" : $datos->PDF_POLIZA)
                                    ),
                                    "contrato" => array(
                                        "fechaInicio" => ($datos->FECHA_INICIO == null ? "" : $datos->FECHA_INICIO),
                                        "contrato" => ($datos->CONTRATO == null ? "" : $datos->CONTRATO),
                                        "anexo" => ($datos->ANEXO == null ? "" : $datos->ANEXO),
                                    )
                                );
                                $resultado["vehiculos"] = $vehiculo;
                            } else {
                                $resultado["exito"] = false;
                                $resultado["mensaje"] = "Usuario y/o contraseña incorrectos.";
                            }
                        }
                    } else {
                        $resultado["exito"] = false;
                        $resultado["mensaje"] = "Usuario y/o contraseña incorrectos.";
                    }
                } else {
                    $resultado["exito"] = false;
                    $resultado["mensaje"] = "Error de conexion.";
                }
            } else {
                $resultado["exito"] = false;
                $resultado["mensaje"] = "Faltan parametros.";
            }
            echo json_encode($resultado);
            break;
        }
        case "tips":
            if (conecta()) {
                $arrayTipsBase = array();
                $query = "select * from tips order by fecha desc";
                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                while ($datos = mysql_fetch_object($link)) {
                    $arrayTipsBase[] = array(
                        "titulo" => $datos->TITULO,
                        "fecha" => $datos->FECHA,
                        "tip" => $datos->TIP
                    );
                }
                $resultado["exito"] = true;
                $resultado["tips"] = $arrayTipsBase;
            } else {
                $resultado["exito"] = false;
                $resultado["mensaje"] = "Error de conexion.";
            }
            echo json_encode($resultado);
            break;
        case "procedimientos":
            if(conecta()) {
                $arrayProcedimientosBase = array();
                $query = "select * from procedimientos";
                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                while ($datos = mysql_fetch_object($link)) {
                    $arrayProcedimientosBase[] = array(
                        "vehiculo" => $datos->VEHICULO,
                        "tipo" => $datos->TIPO,
                        "procedimiento" => $datos->PROCEDIMIENTO
                    );
                }
                $resultado["exito"] = true;
                $resultado["procedimientos"] = $arrayProcedimientosBase;
            } else {
                $resultado["exito"] = false;
                $resultado["mensaje"] = "Error de conexion.";
            }
            echo json_encode($resultado);
            break;
        case "infoGral":
            if(conecta()) {
                $query = "select * from telefonos limit 1";
                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                $telefonos = mysql_fetch_object($link);
                $arrayProcedimientosBase = array();
                $query = "select * from procedimientos";
                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                while ($datos = mysql_fetch_object($link)) {
                    $arrayProcedimientosBase[] = array(
                        "vehiculo" => $datos->VEHICULO,
                        "tipo" => $datos->TIPO,
                        "procedimiento" => $datos->PROCEDIMIENTO
                    );
                }
                $arrayTipsBase = array();
                $query = "select * from tips order by fecha desc";
                $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                while ($datos = mysql_fetch_object($link)) {
                    $arrayTipsBase[] = array(
                        "titulo" => $datos->TITULO,
                        "fecha" => $datos->FECHA,
                        "tip" => $datos->TIP
                    );
                }
                $resultado["exito"] = true;
                $resultado["info"] = array(
                    "tips" => $arrayTipsBase,
                    "procedimientos" => $arrayProcedimientosBase,
                    "telefonos" => array(
                        "ambulancia" => $telefonos->INVITADO_TEL_AMBULANCIA,
                        "emergencia" => $telefonos->INVITADO_TEL_EMERGENCIA,
                        "emergenciaCarretera" => $telefonos->INVITADO_TEL_CARRETERA
                    ),
                    "promotorEmail" => $telefonos->EMAIL_PROMOTOR_DEFAULT
                );
            } else {
                $resultado["exito"] = false;
                $resultado["mensaje"] = "Error de conexion.";
            }
            echo json_encode($resultado);
            break;
        case "cambiaPass":
            $idCliente = parametro("idCliente");
            $passAnterior = strtoupper(parametro("actual"));
            $passNuevo = strtoupper(parametro("nueva"));
            if(conecta()) {
                if ($idCliente != "" && ($passAnterior != "" || $passAnterior == "null") && $passNuevo != "") {
                    $query = "select * from app_movil where id_cte = '$idCliente'";
                    $link = mysql_query($query) or die("Error en la consulta: $query, " . mysql_error());
                    $resultado = array();
                    $datos = mysql_fetch_object($link);
                    if (isset($datos->ID_CTE)) {
                        if (md5($passAnterior) == $datos->PASS || $passAnterior == "null") {
                            $query = "update clientes set pass = '" . md5($passNuevo) . "' where ID_CTE = '$idCliente'";
                            @mysql_query($query);
                            $resultado["exito"] = true;
                            $resultado["mensaje"] = "El password fue cambiado con exito.";
                        } else {
                            $resultado["exito"] = false;
                            $resultado["mensaje"] = "El password actual no es correcto.";
                        }
                    } else {
                        $resultado["exito"] = false;
                        $resultado["mensaje"] = "No existe el cliente.";
                    }
                } else {
                    $resultado["exito"] = false;
                    $resultado["mensaje"] = "Faltan parametros.";
                }
            }else{
                $resultado["exito"] = false;
                $resultado["mensaje"] = "Error de conexion.";
            }
            echo json_encode($resultado);
            break;
    }
}else{
    $resultado["exito"] = false;
    $resultado["mensaje"] = "No existe el serivico solicitado.";
    echo json_encode($resultado);
}

?>